/* ADD 2005/1/28 NSS S.T START */

#include <common.h>
#include <command.h>

/* Function Command : bcsrinfo */
int do_bcsrinfo ( cmd_tbl_t *cmdtp, int flag, int argc, char *argv[])
{
	DECLARE_GLOBAL_DATA_PTR;

	printf("\nBCSR0 : 0x%08lX", *( (volatile unsigned long *)0xE0000000 ) );
	printf("\nBCSR1 : 0x%08lX", *( (volatile unsigned long *)0xE0000004 ) );
	printf("\nBCSR2 : 0x%08lX", *( (volatile unsigned long *)0xE0000008 ) );
	printf("\nBCSR3 : 0x%08lX", *( (volatile unsigned long *)0xE000000c ) );
	printf("\nBCSR4 : 0x%08lX\n\n", *( (volatile unsigned long *)0xE0000010 ) );

	return 0;
}

/* Register Command : bcsrinfo */
U_BOOT_CMD(
	bcsrinfo, 1, 1, do_bcsrinfo,
	"bcsrinfo  - print BCSR Information\n",
	NULL
);

/* ADD 2005/1/28 NSS S.T END */
